Skip to main content
GET
/
v1
/
proposals
List proposals
curl --request GET \
  --url https://api.propal.io/v1/proposals \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "proposal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "slug": "<string>",
      "deal_status": "<string>",
      "page_status": "<string>",
      "payment_status": "<string>",
      "language": "<string>",
      "created_at": "<string>",
      "sent_at": "<string>",
      "published_at": "<string>",
      "lead_id": "<string>",
      "lead_name": "<string>",
      "lead_email": "<string>",
      "is_deleted": true,
      "is_archived": true
    }
  ],
  "pagination": {
    "has_more": true,
    "next_cursor": "<string>",
    "total_count": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.propal.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key in format: pp_live_xxxxxxxxxxxxxxxxxxxxxxxx

Query Parameters

limit
string
default:25
after
string
status
enum<string>
Available options:
pending,
approved,
denied,
revision_request
lead_id
string<uuid>

Response

Paginated proposal list

data
object[]
required
pagination
object
required